struct struct_settings {
  bool tempInF = false; //temperature has to be in ° F?
} settings;
//---------------------------------------------------
#include <DHT.h>
#define DHTPIN D4
DHT dht(DHTPIN, DHT22);
//---------------------------------------------------
#include <ESP8266WiFi.h>
const char *ssid = "temperaturenode";
const char *password = "Phips@TND";
//---------------------------------------------------
#include <ESP8266WebServer.h>
ESP8266WebServer server(80);  //listen to port 80
#include "sensordata.h";
//---------------------------------------------------
#include <ESP8266HTTPUpdateServer.h>
ESP8266HTTPUpdateServer httpUpdater;
//---------------------------------------------------

void setup() {
  Serial.begin(115200); //start the serial output
  Serial.println();
  Serial.println("Starting up");
  
  WiFi.softAP(ssid, password, 1, false);
  IPAddress myIP = WiFi.softAPIP();
  Serial.print("AP IP address: ");
  Serial.println(myIP);
  
  Serial.println("------------------------------");
  //all the sites which will be available
  server.on ( "/", []() { server.send ( 200, "text/html", SITE_index );  } );
  server.on ( "/DHT", getDHTdata );
  server.on ( "/temperature", getTemperature );
  server.on ( "/humidity", getHumidity );
  server.on ( "/heatindex", getHeatindex );
  //!all the sites which will be available
  httpUpdater.setup(&server); //include the updateserver
  server.begin(); //start the webserver
  Serial.println("Webserver started");

  Serial.println("------------------------------");
  dht.begin();
  Serial.println("DHT22 started");

  Serial.println("Startup finished");
  Serial.println("****************");
}

void loop() {
  server.handleClient();  //process all the requests for the Webserver
}
