const char SITE_index[] PROGMEM = R"=====(
  <html>
   <head>
     <title>Temperaturenode</title>
   </head>
   <body>
    <h1>Tempaturenode - V0.1</h1>
    <p>Measure in degree Fahrenheit?<input type="radio" id="mU_t" name="measuringInF" value="true"><label for="mU_c">yes</label><input type="radio" id="mU_f" name="measuringInF" value="false"><label for="mU_f">no</label></p>
    <p>Temperature<span>: <span id="temperature"></span></p>
    <p>Humidity: <span id="humidity"></span> %</p>
    <p>Heatindex: <span id="heatindex"></span></p>
    <script>
      function updateData() {
        console.log("updateData()");
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
          if (this.readyState == 4 && this.status == 200) {
           console.log("updateData(): got Data:", this.responseText);
           var DHTdata = JSON.parse(this.responseText);
           document.getElementById("temperature").innerHTML = DHTdata.temperature + " " + ((DHTdata.tempInF == true) ? "&deg; F" : "&deg; C");
           document.getElementById("humidity").innerHTML = DHTdata.humidity;
           document.getElementById("heatindex").innerHTML = DHTdata.heatindex + " " + ((DHTdata.tempInF == true) ? "&deg; F" : "&deg; C");
           if (DHTdata.tempInF == true) document.querySelector('input#mU_t').checked = true; else document.querySelector('input#mU_f').checked = true
          }
        };
        //modify the path of the request
        var path = "/DHT";  //prepare the path
        var measureInF = document.querySelector('input[name="measuringInF"]:checked');  //get the checked radio-buttons
        if (measureInF != null) { //check if something is checked => first call will not trigger this context
          path += (measureInF.value == "true") ? "?measuringUnit=f" : "?measuringUnit=c";
        }
        //Send the response
        xhttp.open("GET", path, true);
        xhttp.send();
      }
      
      updateData();
      window.setInterval(updateData, 5000); //update the sensordata 5 seconds
    </script>
   </body>
  </html>
)=====";

boolean determineMeasuringUnit () {
  boolean measureInF = settings.tempInF;
  if (server.hasArg("measuringUnit")) { //just do the checks if the parameter is available
    if ( server.arg("measuringUnit") == "f" ) {
      measureInF = true;
    } else {
      measureInF = false;
    }
  }
  return measureInF;
}
void getTemperature() {
  server.send ( 200, "application/json", String( dht.readTemperature( determineMeasuringUnit() ) ) );
}
void getHumidity() {
  server.send ( 200, "application/json", String(dht.readHumidity()) );
}
void getHeatindex() {
  boolean measureInF = determineMeasuringUnit();
  server.send ( 200, "application/json", String(dht.computeHeatIndex( dht.readTemperature( measureInF ), dht.readHumidity(), measureInF )) );
}
void getDHTdata() {
  boolean measureInF = determineMeasuringUnit();
  float temperature = dht.readTemperature( measureInF );
  float humidity = dht.readHumidity();
  float heatindex = dht.computeHeatIndex( temperature, humidity, measureInF );
  server.send ( 200, "application/json", "{\"temperature\":" + String(temperature) + ", \"humidity\":" + String(humidity) + ", \"heatindex\":" + String(heatindex) + ", \"tempInF\":" + String( measureInF ) + "}" );
}
